# Register a business for Branded Calling

Registers a business for Branded Calling.

```http
POST https://api.pozy.ai/v1/branded-calling/enterprises
```

- Area: Phone & voice / Branded Calling
- Auth: Authorization: Bearer pz_live_...

## Header parameters

- `Idempotency-Key` (string)

## Request body

Content type: `application/json`

- `legalName`, string, required: 3 to 64 characters
- `doingBusinessAs`, string, required: Up to 255 characters
- `organizationType`, string, required: One of `commercial`, `government`, `non_profit`
- `organizationLegalType`, string, required: One of `corporation`, `llc`, `partnership`, `nonprofit`, `other`
- `countryCode`, string, required
- `jurisdictionOfIncorporation`, string, required: Up to 255 characters
- `website`, string (URL), required
- `fein`, string, required
- `industry`, string, required
- `numberOfEmployees`, string, required: One of `1-10`, `11-50`, `51-200`, `201-500`, `501-2000`, `2001-10000`, `10001+`
- `organizationContact`, object, required
  - `firstName`, string, required: Up to 100 characters
  - `lastName`, string, required: Up to 100 characters
  - `email`, string (email), required
  - `jobTitle`, string: Up to 100 characters
  - `phoneNumber`, string, required
- `billingContact`, object, required
  - `firstName`, string, required: Up to 100 characters
  - `lastName`, string, required: Up to 100 characters
  - `email`, string (email), required
  - `jobTitle`, string: Up to 100 characters
  - `phoneNumber`, string, required
- `physicalAddress`, object, required
  - `streetAddress`, string, required: Up to 255 characters
  - `extendedAddress`, string: Up to 255 characters
  - `city`, string, required: Up to 100 characters
  - `administrativeArea`, string, required
  - `postalCode`, string, required: Up to 20 characters
  - `country`, string, required
- `billingAddress`, object, required
  - `streetAddress`, string, required: Up to 255 characters
  - `extendedAddress`, string: Up to 255 characters
  - `city`, string, required: Up to 100 characters
  - `administrativeArea`, string, required
  - `postalCode`, string, required: Up to 20 characters
  - `country`, string, required

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/branded-calling/enterprises" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "legalName": "Acme",
  "doingBusinessAs": "string",
  "organizationType": "commercial",
  "organizationLegalType": "corporation",
  "countryCode": "US",
  "jurisdictionOfIncorporation": "string",
  "website": "https://pozy.ai/media/example-1.jpg",
  "fein": "string",
  "industry": "string",
  "numberOfEmployees": "1-10",
  "organizationContact": {
    "firstName": "Acme",
    "lastName": "Acme",
    "email": "alex@example.com",
    "phoneNumber": "+14155550123"
  },
  "billingContact": {
    "firstName": "Acme",
    "lastName": "Acme",
    "email": "alex@example.com",
    "phoneNumber": "+14155550123"
  },
  "physicalAddress": {
    "streetAddress": "string",
    "city": "string",
    "administrativeArea": "string",
    "postalCode": "string",
    "country": "US"
  },
  "billingAddress": {
    "streetAddress": "string",
    "city": "string",
    "administrativeArea": "string",
    "postalCode": "string",
    "country": "US"
  }
}'
```

```ts
import { randomUUID } from "node:crypto";

const res = await fetch("https://api.pozy.ai/v1/branded-calling/enterprises", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Idempotency-Key": randomUUID(),
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    legalName: "Acme",
    doingBusinessAs: "string",
    organizationType: "commercial",
    organizationLegalType: "corporation",
    countryCode: "US",
    jurisdictionOfIncorporation: "string",
    website: "https://pozy.ai/media/example-1.jpg",
    fein: "string",
    industry: "string",
    numberOfEmployees: "1-10",
    organizationContact: {
      firstName: "Acme",
      lastName: "Acme",
      email: "alex@example.com",
      phoneNumber: "+14155550123"
    },
    billingContact: {
      firstName: "Acme",
      lastName: "Acme",
      email: "alex@example.com",
      phoneNumber: "+14155550123"
    },
    physicalAddress: {
      streetAddress: "string",
      city: "string",
      administrativeArea: "string",
      postalCode: "string",
      country: "US"
    },
    billingAddress: {
      streetAddress: "string",
      city: "string",
      administrativeArea: "string",
      postalCode: "string",
      country: "US"
    }
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/branded-calling/enterprises",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "legalName": "Acme",
        "doingBusinessAs": "string",
        "organizationType": "commercial",
        "organizationLegalType": "corporation",
        "countryCode": "US",
        "jurisdictionOfIncorporation": "string",
        "website": "https://pozy.ai/media/example-1.jpg",
        "fein": "string",
        "industry": "string",
        "numberOfEmployees": "1-10",
        "organizationContact": {
            "firstName": "Acme",
            "lastName": "Acme",
            "email": "alex@example.com",
            "phoneNumber": "+14155550123",
        },
        "billingContact": {
            "firstName": "Acme",
            "lastName": "Acme",
            "email": "alex@example.com",
            "phoneNumber": "+14155550123",
        },
        "physicalAddress": {
            "streetAddress": "string",
            "city": "string",
            "administrativeArea": "string",
            "postalCode": "string",
            "country": "US",
        },
        "billingAddress": {
            "streetAddress": "string",
            "city": "string",
            "administrativeArea": "string",
            "postalCode": "string",
            "country": "US",
        },
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `id`, string
- `legalName`, string
- `doingBusinessAs`, string
- `organizationType`, string: One of `commercial`, `government`, `non_profit`
- `organizationLegalType`, string: One of `corporation`, `llc`, `partnership`, `nonprofit`, `other`
- `countryCode`, string: One of `US`, `CA`
- `jurisdictionOfIncorporation`, string
- `website`, string
- `feinLast4`, string
- `industry`, string
- `numberOfEmployees`, string: One of `1-10`, `11-50`, `51-200`, `201-500`, `501-2000`, `2001-10000`, `10001+`
- `organizationContact`, object
  - `firstName`, string, required: Up to 100 characters
  - `lastName`, string, required: Up to 100 characters
  - `email`, string (email), required
  - `jobTitle`, string: Up to 100 characters
  - `phoneNumber`, string, required
- `billingContact`, object
  - `firstName`, string, required: Up to 100 characters
  - `lastName`, string, required: Up to 100 characters
  - `email`, string (email), required
  - `jobTitle`, string: Up to 100 characters
  - `phoneNumber`, string, required
- `physicalAddress`, object
  - `streetAddress`, string, required: Up to 255 characters
  - `extendedAddress`, string: Up to 255 characters
  - `city`, string, required: Up to 100 characters
  - `administrativeArea`, string, required
  - `postalCode`, string, required: Up to 20 characters
  - `country`, string, required
- `billingAddress`, object
  - `streetAddress`, string, required: Up to 255 characters
  - `extendedAddress`, string: Up to 255 characters
  - `city`, string, required: Up to 100 characters
  - `administrativeArea`, string, required
  - `postalCode`, string, required: Up to 20 characters
  - `country`, string, required
- `registered`, boolean
- `createdAt`, string (date-time): Can be null

```json
{
  "id": "6bfebd43ddc270f6d2c56fc5",
  "legalName": "Acme",
  "doingBusinessAs": "string",
  "organizationType": "commercial",
  "organizationLegalType": "corporation",
  "countryCode": "US",
  "jurisdictionOfIncorporation": "string",
  "website": "string",
  "feinLast4": "string",
  "industry": "string",
  "numberOfEmployees": "1-10",
  "organizationContact": {
    "firstName": "Acme",
    "lastName": "Acme",
    "email": "alex@example.com",
    "jobTitle": "string",
    "phoneNumber": "+14155550123"
  },
  "billingContact": {
    "firstName": "Acme",
    "lastName": "Acme",
    "email": "alex@example.com",
    "jobTitle": "string",
    "phoneNumber": "+14155550123"
  },
  "physicalAddress": {
    "streetAddress": "string",
    "extendedAddress": "string",
    "city": "string",
    "administrativeArea": "string",
    "postalCode": "string",
    "country": "US"
  },
  "billingAddress": {
    "streetAddress": "string",
    "extendedAddress": "string",
    "city": "string",
    "administrativeArea": "string",
    "postalCode": "string",
    "country": "US"
  },
  "registered": true,
  "createdAt": "2026-10-02T09:00:00.000Z"
}
```
